> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/es/powershell-commands/get-dpsproduct.md).

# Get-DPSProduct

Get-DPSProduct descarga el archivo de instalación más reciente del producto Devolutions Server en una ruta de destino especificada.

### Sinopsis

Descargar la última versión de los productos Devolutions Server

### Sintaxis

#### \_\_AllParameterSets

```
Get-DPSProduct [-Name] <string> [-Destination] <string> [-NoClobber] [<CommonParameters>]
```

### Descripción

Descargar la última versión de los productos Devolutions Server. Para la instalación de una instancia de Devolutions Server, se requiere DPSLinuxX64bin o DPSbin según su sistema operativo. En ambos casos, será un archivo comprimido. Este cmdlet requiere conectividad a internet y permisos de escritura en el sistema de ficheros para la ruta de destino.

### Ejemplos

#### Ejemplo 1

**Definir las rutas de la instancia de Devolutions Server y de las ubicaciones de copia de seguridad**

```powershell
PS C:\> $DVLSPath = '/home/myuser/dvls/'
PS C:\> $backupConfigurationFiles = '/home/myuser/dvlsBackup/dvlsConfig/'
PS C:\> $backupInstallationFiles = '/home/myuser/dvlsBackup/dvlsFiles/'
PS C:\> $downloadPath = '/home/myuser/dvlsLatest.tar.gz'
```

**Paso 1: Realizar una copia de seguridad de la configuración actual y de los ficheros de instalación**

```powershell
PS C:\> Backup-DPSConfigurationFiles -ApplicationPath $DVLSPath -BackupConfigurationPath $backupConfigurationFiles
PS C:\> Remove-Item -Path "$backupInstallationFiles/*" -Recurse -Force
PS C:\> Backup-DPSInstallationFiles -ApplicationPath $DVLSPath -BackupPath $backupInstallationFiles
PS C:\> $connectionString = (Get-DPSAppSettings -ApplicationPath $backupConfigurationFiles).ConnectionStrings.LocalSqlServer
```

**Paso 2: Descargar y extraer la nueva versión de Devolutions Server**

```powershell
PS C:\> Get-DPSProduct -Name DPSLinuxX64bin -Destination $downloadPath
PS C:\> tar -xzf $downloadPath -C $DVLSPath --strip-components=1
```

**Paso 3: Actualizar la base de datos**

```powershell
PS C:\> Update-DPSDatabase -ConnectionString $connectionString -InstallationPath $DVLSPath
```

**Paso 4: Restaurar los ficheros personalizados y la configuración**

```powershell
PS C:\> Restore-DPSCustomFolders -BackupPath $backupInstallationFiles -ApplicationPath $DVLSPath
PS C:\> Restore-DPSAnomalyDetectionFolder -BackupPath $backupInstallationFiles -ApplicationPath $DVLSPath
PS C:\> Restore-DPSConfigurationFiles -BackupConfigurationPath $backupConfigurationFiles -ApplicationPath $DVLSPath
```

Flujo de trabajo para actualizar una instancia de Devolutions Server.

### Parámetros

#### -Destination

Destino del fichero.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Name

Producto que se va a descargar

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -NoClobber

NoClobber impide que se sobrescriba un fichero existente y muestra un mensaje indicando que el fichero ya existe. De forma predeterminada, si existe un fichero en la ruta especificada, se sobrescribe.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Este cmdlet admite los parámetros comunes: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction y -WarningVariable. Para obtener más información, consulte [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Notas

Para obtener más información, escriba "Get-Help Get-DPSProduct -detailed". Para obtener información técnica, escriba "Get-Help Get-DPSProduct -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/es/powershell-commands/get-dpsproduct.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
